Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ReactionUnavailabilityReason

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ReactionUnavailabilityReason

Direct Known Subclasses:
  `TdApi.ReactionUnavailabilityReasonAnonymousAdministrator`, `TdApi.ReactionUnavailabilityReasonGuest`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.ReactionUnavailabilityReason extends TdApi.Object permits TdApi.ReactionUnavailabilityReasonAnonymousAdministrator, TdApi.ReactionUnavailabilityReasonGuest
This class is an abstract base class. Describes why the current user can't add reactions to the message, despite some other users can.

## Constructor Summary

Constructors
Constructor
Description
`ReactionUnavailabilityReason()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReactionUnavailabilityReason

public ReactionUnavailabilityReason()
Default class constructor.